Subject: Re: [bug#29781] [PATCH 1/2] gnu: gpgme: Build with the latest GnuPG.

From: Leo Famulari <[email-masked]>
Date: Wed, 27 Dec 2017 00:04:32 -0500

On Wed, Dec 20, 2017 at 04:43:13PM -0500, Leo Famulari wrote:
> On Wed, Dec 20, 2017 at 02:28:01PM +0100, Ludovic Courtès wrote:
> > Leo Famulari <[email-masked]> skribis:
> > 
> > > * gnu/packages/gnupg.scm (gpgme)[inputs]: Use the latest gnupg and make
> > > it a native-input.
> > 
> > I’m surprised gpgme doesn’t retain a reference to gpg.
> > 
> > Apparently, ‘dirinfo.gpg_name’ in src/dirinfo.c contains the file name
> > of the ‘gpg’ executable.
> > 
> > I can’t find what its default value is, but I think we should be
> > recording the absolute file name of ‘gpg’ as the default value.
> > 
> > Thoughts?
> 
> Good point. I pushed 0e06bec250f which uses the latest GnuPG package and
> makes GPGME use that particular GnuPG.

Due to breakage of python-pygpgme, which does not support GnuPG > 2.0, I
reverted the part of that commit which binds GPGME with the GnuPG used
during building in commit b3ecb3fe8d4:

https://lists.gnu.org/archive/html/guix-devel/2017-12/msg00371.html

I think this is okay. I use GPGME heavily for Mutt's PGP integration,
and it works fine for GPGME to find GnuPG in the environment.

Maybe once we are building the latest version of GPGME's Python bindings
we can undo the reversion.